Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultAmpType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ConsultAmpType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:11:32+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmpType

extends Object
implements Serializable

Java class for ConsultAmpType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmpType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Status" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}AmpStatusType"/>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="BlackTriangle" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="MedicineType" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}MedicineTypeType"/>
             <element name="OfficialName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="ProprietarySuffix" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="CompanyActorNr" type="{urn:be:fgov:ehealth:dics:core:v3:core}CompanyActorNrType"/>
             <element name="AmpComponent" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultAmpComponentType" maxOccurs="unbounded"/>
             <element name="Ampp" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultAmppType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="VmpCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmpType()`

Method Summary
`ConsultTextType` | `getAbbreviatedName()` Gets the value of the abbreviatedName property.
`List<ConsultAmpComponentType>` | `getAmpComponents()` Gets the value of the ampComponents property.
`List<ConsultAmppType>` | `getAmpps()` Gets the value of the ampps property.
`String` | `getCode()` Gets the value of the code property.
`String` | `getCompanyActorNr()` Gets the value of the companyActorNr property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getMedicineType()` Gets the value of the medicineType property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`String` | `getOfficialName()` Gets the value of the officialName property.
`ConsultTextType` | `getPrescriptionName()` Gets the value of the prescriptionName property.
`ConsultTextType` | `getProprietarySuffix()` Gets the value of the proprietarySuffix property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getStatus()` Gets the value of the status property.
`BigInteger` | `getVmpCode()` Gets the value of the vmpCode property.
`boolean` | `isBlackTriangle()` Gets the value of the blackTriangle property.
`void` | `setAbbreviatedName(ConsultTextType value)` Sets the value of the abbreviatedName property.
`void` | `setBlackTriangle(boolean value)` Sets the value of the blackTriangle property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setCompanyActorNr(String value)` Sets the value of the companyActorNr property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setMedicineType(String value)` Sets the value of the medicineType property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setOfficialName(String value)` Sets the value of the officialName property.
`void` | `setPrescriptionName(ConsultTextType value)` Sets the value of the prescriptionName property.
`void` | `setProprietarySuffix(ConsultTextType value)` Sets the value of the proprietarySuffix property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStatus(String value)` Sets the value of the status property.
`void` | `setVmpCode(BigInteger value)` Sets the value of the vmpCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmpType

    public ConsultAmpType()

Method Detail

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### isBlackTriangle

    public boolean isBlackTriangle()

  Gets the value of the blackTriangle property.

### setBlackTriangle

    public void setBlackTriangle(boolean value)

  Sets the value of the blackTriangle property.

### getMedicineType

    public String getMedicineType()

  Gets the value of the medicineType property.

  Returns:
    possible object is `String`

### setMedicineType

    public void setMedicineType(String value)

  Sets the value of the medicineType property.

  Parameters:
    `value` - allowed object is `String`

### getOfficialName

    public String getOfficialName()

  Gets the value of the officialName property.

  Returns:
    possible object is `String`

### setOfficialName

    public void setOfficialName(String value)

  Sets the value of the officialName property.

  Parameters:
    `value` - allowed object is `String`

### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()

  Gets the value of the abbreviatedName property.

  Returns:
    possible object is `ConsultTextType`

### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)

  Sets the value of the abbreviatedName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getProprietarySuffix

    public ConsultTextType getProprietarySuffix()

  Gets the value of the proprietarySuffix property.

  Returns:
    possible object is `ConsultTextType`

### setProprietarySuffix

    public void setProprietarySuffix(ConsultTextType value)

  Sets the value of the proprietarySuffix property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPrescriptionName

    public ConsultTextType getPrescriptionName()

  Gets the value of the prescriptionName property.

  Returns:
    possible object is `ConsultTextType`

### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)

  Sets the value of the prescriptionName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getCompanyActorNr

    public String getCompanyActorNr()

  Gets the value of the companyActorNr property.

  Returns:
    possible object is `String`

### setCompanyActorNr

    public void setCompanyActorNr(String value)

  Sets the value of the companyActorNr property.

  Parameters:
    `value` - allowed object is `String`

### getAmpComponents

    public List<ConsultAmpComponentType> getAmpComponents()

  Gets the value of the ampComponents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ampComponents property.

  For example, to add a new item, do as follows:

          getAmpComponents().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultAmpComponentType`

### getAmpps

    public List<ConsultAmppType> getAmpps()

  Gets the value of the ampps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ampps property.

  For example, to add a new item, do as follows:

          getAmpps().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultAmppType`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getVmpCode

    public BigInteger getVmpCode()

  Gets the value of the vmpCode property.

  Returns:
    possible object is `BigInteger`

### setVmpCode

    public void setVmpCode(BigInteger value)

  Sets the value of the vmpCode property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.